## zoneminder-dmo 1.38.0

=== db/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder database scripts

# Create files from the .in files
configure_file(zm_create.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_create.sql" @ONLY)
configure_file(zm_update-1.31.30.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.31.30.sql" @ONLY)
configure_file(zm_update-1.35.24.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.35.24.sql" @ONLY)
configure_file(zm_update-1.37.4.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.4.sql" @ONLY)
configure_file(zm_update-1.37.69.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.69.sql" @ONLY)
configure_file(zm_update-1.37.74.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.74.sql" @ONLY)
configure_file(zm_update-1.37.77.sql.in "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.77.sql" @ONLY)

# install zm_create.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_create.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

# Glob all database upgrade scripts
file(GLOB dbfileslist RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "*.sql")

# install zm_update-1.31.30.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.31.30.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.35.24.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.35.24.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.4.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.4.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.69.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.69.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.74.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.74.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")
# install zm_update-1.37.77.sql
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/zm_update-1.37.77.sql" DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

# Install the database upgrade scripts
install(FILES ${dbfileslist} DESTINATION "${CMAKE_INSTALL_DATADIR}/zoneminder/db")

=== src/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder binaries

# Create files from the .in files
configure_file(zm_config_data.h.in "${CMAKE_BINARY_DIR}/zm_config_data.h" @ONLY)

# Group together all the source files that are used by all the binaries (zmc, zmu, zms etc)
set(ZM_BIN_SRC_FILES
  zm_analysis_thread.cpp
  zm_poll_thread.cpp
  zm_buffer.cpp
  zm_camera.cpp
  zm_comms.cpp
  zm_config.cpp
  zm_crypt.cpp
  zm.cpp
  zm_db.cpp
  zm_decoder_thread.cpp
  zm_group_permission.cpp
  zm_monitor_permission.cpp
  zm_logger.cpp
  zm_event.cpp
  zm_eventstream.cpp
  zm_event_tag.cpp
  zm_exception.cpp
  zm_fifo.cpp
  zm_fifo_debug.cpp
  zm_fifo_stream.cpp
  zm_file_camera.cpp
  zm_font.cpp
  zm_frame.cpp
  zm_group.cpp
  zm_image.cpp
  zm_jpeg.cpp
  zm_libvlc_camera.cpp
  zm_libvnc_camera.cpp
  zm_local_camera.cpp
  zm_monitor.cpp
  zm_monitor_monitorlink.cpp
  zm_monitor_rtsp2web.cpp
  zm_monitor_go2rtc.cpp
  zm_monitor_janus.cpp
  zm_monitor_amcrest.cpp
  zm_monitor_onvif.cpp
  zm_monitorlink_expression.cpp
  #zm_monitorlink_token.cpp
  zm_monitorstream.cpp
  zm_mqtt.cpp
  zm_ffmpeg.cpp
  zm_ffmpeg_camera.cpp
  zm_ffmpeg_input.cpp
  zm_mpeg.cpp
  zm_packet.cpp
  zm_packetqueue.cpp
  zm_poly.cpp
  zm_regexp.cpp
  zm_remote_camera.cpp
  zm_remote_camera_http.cpp
  zm_remote_camera_nvsocket.cpp
  zm_remote_camera_rtsp.cpp
  zm_rtp.cpp
  zm_rtp_ctrl.cpp
  zm_rtp_data.cpp
  zm_rtp_source.cpp
  zm_rtsp.cpp
  zm_rtsp_auth.cpp
  zm_rtsp_server_fifo_source.cpp
  zm_rtsp_server_fifo_adts_source.cpp
  zm_rtsp_server_fifo_h264_source.cpp
  zm_rtsp_server_fifo_av1_source.cpp
  zm_rtsp_server_fifo_audio_source.cpp
  zm_rtsp_server_fifo_video_source.cpp
  zm_sdp.cpp
  zm_server.cpp
  zm_signal.cpp
  zm_stream.cpp
  zm_swscale.cpp
  zm_tag.cpp
  zm_time.cpp
  zm_uri.cpp
  zm_user.cpp
  zm_utils.cpp
  zm_videostore.cpp
  zm_zone.cpp
  zm_storage.cpp)

if(GSOAP_FOUND)
  set(ZM_BIN_SRC_FILES
  ${ZM_BIN_SRC_FILES}
  bindings.h
  ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp
  ${CMAKE_BINARY_DIR}/generated/soapC.cpp
  ${GSOAP_PLUGIN_DIR}/smdevp.c
  ${GSOAP_PLUGIN_DIR}/mecevp.c
  ${GSOAP_PLUGIN_DIR}/wsaapi.c
  ${GSOAP_PLUGIN_DIR}/wsseapi.c
  ${GSOAP_PLUGIN_DIR}/logging.c
  ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c
  )

  SET(GCC_COMPILE_FLAGS "-DWITH_OPENSSL -DWITH_DOM")
  SET(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} ${GCC_COMPILE_FLAGS}")

  #Create the directory that will host files generated by GSOAP
  file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/generated)

  #some files are generated by gsoap
  set_source_files_properties( ${CMAKE_BINARY_DIR}/generated/soapClientLib.c       PROPERTIES GENERATED TRUE )
  set_source_files_properties( ${CMAKE_BINARY_DIR}/generated/soapC.c       PROPERTIES GENERATED TRUE )
  set_source_files_properties( ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp     PROPERTIES GENERATED TRUE )
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/smdevp.c PROPERTIES LANGUAGE C)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/mecevp.c PROPERTIES LANGUAGE C)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsaapi.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsseapi.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/logging.c PROPERTIES LANGUAGE C)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c PROPERTIES LANGUAGE CXX)
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/smdevp.c PROPERTIES COMPILE_FLAGS "-Wno-implicit-fallthrough")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/mecevp.c PROPERTIES COMPILE_FLAGS "-Wno-implicit-fallthrough -Wno-implicit-function-declaration")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsaapi.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/wsseapi.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/logging.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")
  set_source_files_properties( ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated")

  #Create a cmake target that generate gsoap files
  add_custom_command(
    OUTPUT ${CMAKE_BINARY_DIR}/generated/soapC.cpp
    OUTPUT ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp
    #COMMAND ${GSOAP_WSDL2H} -d -P -O2 -o ${CMAKE_BINARY_DIR}/generated/bindings.h http://www.onvif.org/onvif/ver10/events/wsdl/event.wsdl
    #COMMAND echo '\#import \"wsse.h\"' >> ${CMAKE_BINARY_DIR}/generated/bindings.h
    #COMMAND echo '\#import \"struct_timeval.h\"' >> ${CMAKE_BINARY_DIR}/generated/bindings.h
    COMMAND ${GSOAP_SOAPCPP2} -a -n -2 -C -I ${GSOAP_PLUGIN_DIR}/.. -I ${GSOAP_PLUGIN_DIR}/../import/ -I ${GSOAP_PLUGIN_DIR}/../custom/ -d ${CMAKE_BINARY_DIR}/generated -j -x ${CMAKE_CURRENT_SOURCE_DIR}/bindings.h
    COMMENT "CREATING STUBS AND GLUE CODE"
  )

  add_custom_target(GSOAP_GENERATION_TARGET
        DEPENDS ${CMAKE_BINARY_DIR}/generated/soapC.cpp
        DEPENDS ${CMAKE_BINARY_DIR}/generated/soapPullPointSubscriptionBindingProxy.cpp
        DEPENDS ${GSOAP_PLUGIN_DIR}/smdevp.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/mecevp.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/wsaapi.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/wsseapi.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/logging.c
        DEPENDS ${GSOAP_PLUGIN_DIR}/../custom/struct_timeval.c
  )

endif()

# A fix for cmake recompiling the source files for every target.
add_library(zm STATIC ${ZM_BIN_SRC_FILES})

target_include_directories(zm
  PUBLIC
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ../dep/booleval/include
    )

if(GSOAP_FOUND)
target_include_directories(zm
  PUBLIC
    ${CMAKE_BINARY_DIR}/generated
    ${GSOAP_PLUGIN_DIR}/..
    ${GSOAP_INCLUDE_DIR})

endif()

target_link_libraries(zm
  PUBLIC
    FFMPEG::avcodec
    FFMPEG::avdevice
    FFMPEG::avformat
    FFMPEG::avutil
    FFMPEG::swresample
    FFMPEG::swscale
    libbcrypt::bcrypt
    RtspServer::RtspServer
    chmike::CxxUrl
    martinmoene::span-lite
    ${ZM_BIN_LIBS}
  PRIVATE
    zm-core-interface)

set(GSOAP_LIBRARIES ${GSOAP_CXX_LIBRARIES})
if(HAVE_LIBOPENSSL)
  set(GSOAP_LIBRARIES ${GSOAP_SSL_CXX_LIBRARIES})
endif()

if(GSOAP_FOUND)
  target_link_libraries(zm
    PUBLIC
      ${GSOAP_LIBRARIES}
      ${OPENSSL_SSL_LIBRARY}
      ${OPENSSL_CRYPTO_LIBRARY})
endif()

if(${ZM_JWT_BACKEND} STREQUAL "jwt_cpp")
  target_link_libraries(zm
    PUBLIC
      jwt-cpp::jwt-cpp)
elseif(${ZM_JWT_BACKEND} STREQUAL "libjwt")
  target_link_libraries(zm
    PUBLIC
      JWT::libjwt)
endif()

if(TARGET V4L2::videodev2)
  target_link_libraries(zm
    PRIVATE
      V4L2::videodev2)
endif()

add_executable(zmc zmc.cpp)
add_executable(zms zms.cpp)
add_executable(zmu zmu.cpp)
add_executable(zmbenchmark zmbenchmark.cpp)

if(GSOAP_FOUND)
  #Make sure that the client is compiled only after gsoap has been processed
  add_dependencies(zmc GSOAP_GENERATION_TARGET)
endif()

target_link_libraries(zmc
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zms
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zmu
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

target_link_libraries(zmbenchmark
  PRIVATE
    zm-core-interface
    zm
    ${ZM_EXTRA_LIBS}
    ${CMAKE_DL_LIBS})

# Generate man files for the binaries destined for the bin folder
if(BUILD_MAN)
  foreach(CBINARY zmc zmu)
    POD2MAN(${CMAKE_CURRENT_SOURCE_DIR}/${CBINARY}.cpp ${CBINARY} 8 ${ZM_MANPAGE_DEST_PREFIX})
  endforeach(CBINARY zmc zmu)
endif()

install(TARGETS zmc zmu RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(TARGETS zms RUNTIME DESTINATION "${ZM_CGIDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(CODE "execute_process(COMMAND ln -sf zms nph-zms WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/nph-zms DESTINATION "${ZM_CGIDIR}")

if(HAVE_RTSP_SERVER)
  add_executable(zm_rtsp_server zm_rtsp_server.cpp)
  target_link_libraries(zm_rtsp_server
    PRIVATE
      zm-core-interface
      zm
      ${ZM_EXTRA_LIBS}
      ${CMAKE_DL_LIBS})
  install(TARGETS zm_rtsp_server RUNTIME DESTINATION "${CMAKE_INSTALL_FULL_BINDIR}" PERMISSIONS OWNER_WRITE OWNER_READ OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
endif()

=== tests/CMakeLists.txt ===
# This file is part of the ZoneMinder Project.
#
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.


include(Catch)

set(TEST_SOURCES
  zm_box.cpp
  zm_comms.cpp
  zm_crypt.cpp
  zm_font.cpp
  zm_onvif_renewal.cpp
  zm_poly.cpp
  zm_utils.cpp
  zm_vector2.cpp)

add_executable(tests main.cpp ${TEST_SOURCES})

target_link_libraries(tests
  PRIVATE
    zm-core-interface
    zm
    ${ZM_BIN_LIBS}
    bcrypt
    Catch2::Catch2WithMain)

target_include_directories(tests
  PRIVATE
    ${CMAKE_CURRENT_BINARY_DIR})

catch_discover_tests(tests)

add_custom_command(TARGET tests
  PRE_BUILD
  COMMAND ${CMAKE_COMMAND} -E copy_directory
  ${CMAKE_CURRENT_SOURCE_DIR}/data/ ${CMAKE_CURRENT_BINARY_DIR}/data/
  BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/data/)

=== debian/changelog ===
zoneminder-dmo (2:1.38.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Feb 2026 08:22:56 +0100

=== debian/control ===
Source: zoneminder-dmo
Section: net
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.zoneminder.com/
Standards-Version: 4.7.3
Build-Conflicts: libpcre3-dev
Build-Depends: debhelper-compat (= 13), libphp-serialization-perl, libwww-perl,
 libgnutls-openssl-dev, default-libmysqlclient-dev, libdbd-mysql-perl, libdate-manip-perl,
 libjpeg-dev, libavcodec-dev, quilt, libavformat-dev, libbz2-dev, libswscale-dev,
 libv4l-dev (>= 0.8.3), libsys-mmap-perl, libavdevice-dev, libvlc-dev, cmake,
 libcurl4-openssl-dev, ninja-build, libpolkit-gobject-1-dev, python3-sphinx,
 python3-sphinx-rtd-theme,
 libx264-dev (>= 4:0.164~), apache2-dev, libssl-dev (>= 1.0.2d~), libjwt-gnutls-dev (>= 1.17~),
 libgcrypt-dev, libvncserver-dev, libmosquittopp-dev, net-tools, arp-scan,
 iproute2, nlohmann-json3-dev,
 dh-linktree,
 libjs-jquery-timepicker, libjs-chosen, libjs-jquery-ui, fonts-font-awesome,
 fonts-glyphicons-halflings,

## libjs-bootstrap4,
## libjs-jquery,

Package: zoneminder
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, apache2 | httpd,
 libapache2-mod-php | php-fpm, php, php-mysql, liburi-encode-perl, zip, net-tools, arp-scan,
 libphp-serialization-perl, libdate-manip-perl, libmime-tools-perl, libmime-lite-perl,
 default-mysql-client | virtual-mysql-client, libwww-perl, libarchive-tar-perl,
 libarchive-zip-perl, libdevice-serialport-perl, ffmpeg, libmodule-load-perl, libsys-mmap-perl,
 javascript-common, php-cgi, libclass-std-fast-perl, libdata-dump-perl, libsoap-wsdl-perl,
 libdigest-sha-perl, libdigest-perl, libio-socket-multicast-perl, libmime-tools-perl,
 libdbd-mysql-perl, libjson-any-perl, libnet-sftp-foreign-perl, libio-pty-perl,
 libexpect-perl, libsys-cpu-perl, libsys-meminfo-perl, libdata-uuid-perl, php-intl,
 sysvinit-utils (>= 3.05-4~), php-apcu, php-gd, php-json, libnumber-bytes-human-perl,
 libjs-jquery, libjson-maybexs-perl, libcrypt-eksblowfish-perl, libdata-entropy-perl,
 libxml-libxml-perl, libsoap-lite-perl,
Recommends: default-mysql-server | virtual-mysql-server,
Suggests: fcgiwrap, logrotate, polkitd, pkexec,
Description: Linux video camera security and surveillance solution
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It supports
 capture, analysis, recording, and monitoring of video data coming from one
 or more video or network cameras attached to a Linux system. ZoneMinder
 also support web and semi-automatic control of Pan/Tilt/Zoom cameras using
 a variety of protocols. It is suitable for use as a home video security
 system and for commercial or professional video security and surveillance.
 It can also be integrated into a home automation system via X.10 or other
 protocols.

Package: zoneminder-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
Suggests: www-browser,
Description: ZoneMinder documentation
 ZoneMinder is intended for use in single or multi-camera video security
 applications, including commercial or home CCTV, theft prevention and child
 or family member or home monitoring and other care scenarios. It supports
 capture, analysis, recording, and monitoring of video data coming from one
 or more video or network cameras attached to a Linux system. ZoneMinder
 also support web and semi-automatic control of Pan/Tilt/Zoom cameras using
 a variety of protocols. It is suitable for use as a home video security
 system and for commercial or professional video security and surveillance.
 It can also be integrated into a home automation system via X.10 or other
 protocols.
 .
 This package provides ZoneMinder documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

ifeq "$(DEB_HOST_ARCH)" "armel"
	EXTRA_CFLAGS="-DZM_STRIP_NEON=1"
endif

# source is missing in web/api/app/Plugin/CakePHP-Enum-Behavior
# and                  web/api/app/Plugin/Crud
# From a git source :
# git submodule update --init --recursive
# and then copy web/api/app/Plugin/* here
# cp -r (zoneminder-git)/dep/RtspServer/* dep/RtspServer/
# cp -r (zoneminder-git)/web/api/app/Plugin/* web/api/app/Plugin/


%:
	dh $@ -Scmake+ninja --with quilt,apache2,linktree,sphinxdoc -X.cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	-D CMAKE_BUILD_TYPE=RelWithDebInfo \
	-D CMAKE_HOST_ARCH=$(DEB_HOST_ARCH) \
	-D ZM_CGIDIR="/usr/lib/cgi-bin" \
	-D ZM_CONFIG_DIR="/etc/zm" \
	-D ZM_CONFIG="/etc/zm/zm.conf" \
	-D ZM_CONTENTDIR="/var/cache/zoneminder" \
	-D ZM_DIR_EVENTS="/var/cache/zoneminder/events" \
	-D ZM_DIR_IMAGES="/var/cache/zoneminder/images" \
	-D ZM_PCRE=OFF \
	-D ZM_ONVIF=ON \
	-D ZM_RUNDIR="/run/zm" \
	-D ZM_SOCKDIR="/run/zm" \
	-D ZM_SYSTEMD=ON \
	-D ZM_TMPDIR="/tmp/zm" \
	$(EXTRA_CFLAGS)

#	exit 1

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	$(MAKE) -C docs html

override_dh_auto_install:
	dh_auto_install

	$(RM) -rf debian/zoneminder/src
	$(RM) -rf debian/zoneminder/tmp

	$(RM) debian/tmp/usr/share/man/man3/WSNotification*
	$(RM) debian/tmp/usr/share/man/man3/ONVIF*
	$(RM) debian/tmp/usr/share/man/man3/WSDiscovery10*

	# remove worthless files:
	$(RM) $(CURDIR)/debian/tmp/usr/share/perl5/*/*/*/.packlist
	$(RM) $(CURDIR)/debian/tmp/usr/share/perl5/*/*.in
	$(RM) $(CURDIR)/debian/tmp/usr/share/zoneminder/www/fonts/license.md

	find debian -name *.js.URL -delete

	# remove empty directories:
	find $(CURDIR)/debian/tmp/usr -type d -empty -delete -printf 'removed %p\n'

	# remove extra file:
	$(RM) $(CURDIR)/debian/zoneminder/usr/share/zoneminder/www/api/lib/Cake/LICENSE.txt
	$(RM) $(CURDIR)/debian/zoneminder/usr/share/zoneminder/www/api/.gitattributes
	$(RM) $(CURDIR)/debian/zoneminder/usr/share/zoneminder/www/api/.gitignore

	# Don't ship core.php as it contains pre-generated/static salts.
	# We keep core.php.default as a template for the postinst.
	$(RM) $(CURDIR)/debian/tmp/usr/share/zoneminder/www/api/app/Config/core.php

	# Since 1.38
	$(RM) -r $(CURDIR)/debian/tmp/usr/include
	$(RM) $(CURDIR)/debian/tmp/usr/lib/*/libCxxUrl.a

override_dh_fixperms:
	dh_fixperms

	chmod -c o-r $(CURDIR)/debian/zoneminder/etc/zm/zm.conf

override_dh_clean:
	dh_clean $(MANPAGES1) web/api/app/vendor/composer/installers/.gitignore
	$(RM) -r docs/_build docs/installationguide

override_dh_auto_test:

## zoneminder-dmo 1.38.1

=== scripts/ZoneMinder/CMakeLists.txt ===
# CMakeLists.txt for the ZoneMinder perl module.

# If this is an out-of-source build, copy the files we need to the binary directory
if(NOT (CMAKE_BINARY_DIR STREQUAL CMAKE_SOURCE_DIR))
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/Changes" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/Makefile.PL" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/MANIFEST" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/META.yml" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/README" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/t" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}")
  file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/lib" DESTINATION "${CMAKE_CURRENT_BINARY_DIR}" PATTERN "*.in" EXCLUDE)
endif()

# Create files from the .in files
configure_file(lib/ZoneMinder/Base.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/Base.pm" @ONLY)
configure_file(lib/ZoneMinder/Config.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/Config.pm" @ONLY)
configure_file(lib/ZoneMinder/Memory.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/Memory.pm" @ONLY)
configure_file(lib/ZoneMinder/ConfigData.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/ConfigData.pm" @ONLY)
configure_file(lib/ZoneMinder/ONVIF.pm.in "${CMAKE_CURRENT_BINARY_DIR}/lib/ZoneMinder/ONVIF.pm" @ONLY)

if(CMAKE_VERBOSE_MAKEFILE)
  set(MAKEMAKER_NOECHO_COMMAND "")
else()
  set(MAKEMAKER_NOECHO_COMMAND "NOECHO=\"1>/dev/null\"")
endif()

# Add build target for the perl modules
add_custom_target(zmperlmodules ALL "${PERL_EXECUTABLE}" Makefile.PL ${ZM_PERL_MM_PARMS_FULL} FIRST_MAKEFILE=MakefilePerl DESTDIR="${CMAKE_CURRENT_BINARY_DIR}/output" ${MAKEMAKER_NOECHO_COMMAND} COMMAND make -f MakefilePerl pure_install COMMENT "Building ZoneMinder perl modules")

# Add install target for the perl modules
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/output/" DESTINATION "/")

# Add additional files and directories to make clean
set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "output;blib;pm_to_blib;MakefilePerl")

=== debian/changelog ===
zoneminder-dmo (2:1.38.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Feb 2026 08:17:32 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Standards-Version: 4.7.3
 Build-Conflicts: libpcre3-dev
 Build-Depends: debhelper-compat (= 13), libphp-serialization-perl, libwww-perl,
- libgnutls-openssl-dev, default-libmysqlclient-dev, libdbd-mysql-perl, libdate-manip-perl,
- libjpeg-dev, libavcodec-dev, quilt, libavformat-dev, libbz2-dev, libswscale-dev,
- libv4l-dev (>= 0.8.3), libsys-mmap-perl, libavdevice-dev, libvlc-dev, cmake,
- libcurl4-openssl-dev, ninja-build, libpolkit-gobject-1-dev, python3-sphinx,
- python3-sphinx-rtd-theme,
- libx264-dev (>= 4:0.164~), apache2-dev, libssl-dev (>= 1.0.2d~), libjwt-gnutls-dev (>= 1.17~),
- libgcrypt-dev, libvncserver-dev, libmosquittopp-dev, net-tools, arp-scan,
- iproute2, nlohmann-json3-dev,
+ libgnutls-openssl-dev, default-libmysqlclient-dev, libdbd-mysql-perl,
+ libdate-manip-perl, libjpeg-dev, libavcodec-dev, quilt, libavformat-dev,
+ libbz2-dev, libswscale-dev, libv4l-dev (>= 0.8.3), libsys-mmap-perl,
+ libavdevice-dev, libvlc-dev, cmake, libcurl4-openssl-dev, ninja-build,
+ libpolkit-gobject-1-dev, python3-sphinx, python3-sphinx-rtd-theme,
+ libx264-dev (>= 4:0.164~), apache2-dev, libssl-dev (>= 1.0.2d~),
+ libjwt-gnutls-dev (>= 1.17~), libgcrypt-dev, libvncserver-dev,
+ libmosquittopp-dev, net-tools, arp-scan, iproute2, nlohmann-json3-dev,
  dh-linktree,
  libjs-jquery-timepicker, libjs-chosen, libjs-jquery-ui, fonts-font-awesome,
  fonts-glyphicons-halflings,
@@ -25,7 +25,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, apache2 | httpd,
- libapache2-mod-php | php-fpm, php, php-mysql, liburi-encode-perl, zip, net-tools, arp-scan,
+ libapache2-mod-php | php-fpm, php, php-mysql, liburi-encode-perl, zip,
  libphp-serialization-perl, libdate-manip-perl, libmime-tools-perl, libmime-lite-perl,
  default-mysql-client | virtual-mysql-client, libwww-perl, libarchive-tar-perl,
  libarchive-zip-perl, libdevice-serialport-perl, ffmpeg, libmodule-load-perl, libsys-mmap-perl,
@@ -37,7 +37,7 @@
  libjs-jquery, libjson-maybexs-perl, libcrypt-eksblowfish-perl, libdata-entropy-perl,
  libxml-libxml-perl, libsoap-lite-perl,
 Recommends: default-mysql-server | virtual-mysql-server,
-Suggests: fcgiwrap, logrotate, polkitd, pkexec,
+Suggests: fcgiwrap, logrotate, polkitd, pkexec, net-tools, arp-scan,
 Description: Linux video camera security and surveillance solution
  ZoneMinder is intended for use in single or multi-camera video security
  applications, including commercial or home CCTV, theft prevention and child
